Bug 1134377 - Review Request: ansible-openstack-modules - Unofficial Ansible modules for managing Openstack
Summary: Review Request: ansible-openstack-modules - Unofficial Ansible modules for ma...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-27 12:17 UTC by Adam Samalik
Modified: 2015-03-16 11:37 UTC (History)
4 users (show)

Fixed In Version: ansible-openstack-modules-0-20140902git79d751a.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 08:02:35 UTC
msuchy: fedora-review+
asamalik: needinfo+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Adam Samalik 2014-08-27 12:17:33 UTC
Spec URL: https://asamalik.fedorapeople.org/ansible-openstack-modules/ansible-openstack-modules.spec
SRPM URL: https://asamalik.fedorapeople.org/ansible-openstack-modules/ansible-openstack-modules-0-20140827gitf543bea.fc20.src.rpm
Description:
Unofficial Ansible modules for managing and deployment of OpenStack. Contains
all the necesary Neutron networking modules and also some Cinder, Glance,
Keystone and Nova modules missing in the official modules.
Fedora Account System Username: asamalik

Comment 2 Miroslav Suchý 2014-08-28 08:40:23 UTC
I see only issue with rpmlint:
ansible-openstack-modules.noarch: E: non-executable-script /usr/share/ansible/ansible-openstack-modules/* 0644L /usr/bin/python
those scripts *can* be executed, but this is mainly because of magic in ansible in code and are not really intended for humans. All core ansible modules do not have executable flags as well, so I choose to waive that out.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

APPROVED

Comment 3 Adam Samalik 2014-08-28 10:32:14 UTC
New Package SCM Request
=======================
Package Name: ansible-openstack-modules
Short Description: Unofficial Ansible modules for managing Openstack
Upstream URL: https://github.com/openstack-ansible/openstack-ansible-modules
Owners: asamalik
Branches: f20 f21 epel7
InitialCC:

Comment 4 Gwyn Ciesla 2014-08-28 11:55:08 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-08-28 13:19:10 UTC
ansible-openstack-modules-0-20140828git7611354.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ansible-openstack-modules-0-20140828git7611354.fc20

Comment 6 Fedora Update System 2014-08-28 13:23:41 UTC
ansible-openstack-modules-0-20140828git7611354.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ansible-openstack-modules-0-20140828git7611354.fc21

Comment 7 Fedora Update System 2014-08-28 16:43:29 UTC
ansible-openstack-modules-0-20140828git7611354.fc21 has been pushed to the Fedora 21 testing repository.

Comment 8 Fedora Update System 2014-09-02 09:05:11 UTC
ansible-openstack-modules-0-20140902git79d751a.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ansible-openstack-modules-0-20140902git79d751a.fc21

Comment 9 Fedora Update System 2014-09-02 09:56:36 UTC
ansible-openstack-modules-0-20140902git79d751a.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ansible-openstack-modules-0-20140902git79d751a.fc20

Comment 10 Thomas Spura 2014-09-09 11:37:02 UTC
Shouldn't the license be GPLv3+ instead of GPLv3?

At least some files contain license headers with "either version 3 of the License, or (at your option) any later version".

Comment 11 Miroslav Suchý 2015-02-14 13:54:07 UTC
Ping. Can you please push it to stable?

Comment 12 Fedora Update System 2015-02-17 08:02:35 UTC
ansible-openstack-modules-0-20140902git79d751a.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-02-17 08:05:45 UTC
ansible-openstack-modules-0-20140902git79d751a.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.